package es.uv.saic.dto;

import java.math.BigInteger;

import es.uv.saic.domain.InstanciaTasca;

public class InstanciaTascaDTO {
    private BigInteger idInstanciaTasca;
	private String evidencia;
	private String text;
    private InstanciaDTO instancia;
    private TascaDTO tasca;

    public InstanciaTascaDTO(){}
    
    public InstanciaTascaDTO(BigInteger idInstanciaTasca, String evidencia, String text, InstanciaDTO instancia,
            TascaDTO tasca) {
        this.idInstanciaTasca = idInstanciaTasca;
        this.evidencia = evidencia;
        this.text = text;
        this.instancia = instancia;
        this.tasca = tasca;
    }

    public InstanciaTascaDTO(InstanciaTasca its){
        this.idInstanciaTasca = its.getIdInstanciaTasca();
        this.evidencia = its.getEvidencia();
        this.text = its.getText();
        instancia = new InstanciaDTO(its.getInstancia());
        tasca = new TascaDTO(its.getTasca());
    }

    public BigInteger getIdInstanciaTasca() {
        return idInstanciaTasca;
    }
    public void setIdInstanciaTasca(BigInteger idInstanciaTasca) {
        this.idInstanciaTasca = idInstanciaTasca;
    }
    public String getEvidencia() {
        return evidencia;
    }
    public void setEvidencia(String evidencia) {
        this.evidencia = evidencia;
    }
    public String getText() {
        return text;
    }
    public void setText(String text) {
        this.text = text;
    }
    public InstanciaDTO getInstancia() {
        return instancia;
    }
    public void setInstancia(InstanciaDTO instancia) {
        this.instancia = instancia;
    }
    public TascaDTO getTasca() {
        return tasca;
    }
    public void setTasca(TascaDTO tasca) {
        this.tasca = tasca;
    }
    
}
